# HG changeset patch
# User Kai T. Ohlhus <k.ohlhus@gmail.com>
# Date 1470812981 -7200
#      Wed Aug 10 09:09:41 2016 +0200
# Node ID da201af35c9720bf58c53936d6330cbff6416f8f
# Parent  60986498af9e1c03d4363f0d3c41feea1510aaaa
maint: properly include <vector> in svd classes.

* liboctave/numeric/gsvd.cc: insert missing include.

* liboctave/numeric/svd.h: use <> rather than "".

* liboctave/numeric/svd.cc: remove include, done in the header already.

diff -r 60986498af9e -r da201af35c97 liboctave/numeric/gsvd.cc
--- a/liboctave/numeric/gsvd.cc	Wed Aug 10 03:56:38 2016 +0100
+++ b/liboctave/numeric/gsvd.cc	Wed Aug 10 09:09:41 2016 +0200
@@ -26,6 +26,8 @@
 #include "dDiagMatrix.h"
 #include "dMatrix.h"
 
+#include <vector>
+
 extern "C"
 {
   F77_RET_T
diff -r 60986498af9e -r da201af35c97 liboctave/numeric/svd.cc
--- a/liboctave/numeric/svd.cc	Wed Aug 10 03:56:38 2016 +0100
+++ b/liboctave/numeric/svd.cc	Wed Aug 10 09:09:41 2016 +0200
@@ -29,7 +29,6 @@
 
 #include <cassert>
 #include <algorithm>
-#include <vector>
 
 #include "CMatrix.h"
 #include "dDiagMatrix.h"
diff -r 60986498af9e -r da201af35c97 liboctave/numeric/svd.h
--- a/liboctave/numeric/svd.h	Wed Aug 10 03:56:38 2016 +0100
+++ b/liboctave/numeric/svd.h	Wed Aug 10 09:09:41 2016 +0200
@@ -26,7 +26,7 @@
 
 #include "octave-config.h"
 
-#include "vector"
+#include <vector>
 
 template <typename T>
 class
